using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao.Implement
{
	public class RoomTypeSceneModalRepository : RepositoryBase<RoomTypeSceneModal>, IRoomTypeSceneModalRepository
	{
		public IList<RoomTypeSceneModal> LoadAll(RoomTypeScene scene)
		{
			return LoadAll().Where(r => r.Scene != null && r.Scene == scene).ToList();
		}
	}
}
